{"title":"Get generalLedgerEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_generalledgerentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalledgerentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalledgerentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a generalLedgerEntry object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get generalLedgerEntries","slug":"get-generalledgerentries","at":0,"chars":1493},{"level":2,"title":"HTTP request","slug":"http-request","at":124,"chars":219},{"level":2,"title":"Request headers","slug":"request-headers","at":343,"chars":64},{"level":2,"title":"Request body","slug":"request-body","at":407,"chars":61},{"level":2,"title":"Response","slug":"response","at":468,"chars":132},{"level":2,"title":"Example","slug":"example","at":600,"chars":754},{"level":2,"title":"Related information","slug":"related-information","at":1354,"chars":139}],"text":"# Get generalLedgerEntries\nRetrieve the properties and relationships of a general ledger entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/generalLedgerEntries({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a generalLedgerEntries object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/generalLedgerEntries({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"9dd7b4dc-44e3-ea11-bb43-000d3a2feca1\",\n    \"entryNumber\": 1,\n    \"postingDate\": \"2019-01-15\",\n    \"documentNumber\": \"PS-INV103001\",\n    \"documentType\": \" \",\n    \"accountId\": \"aaa5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountNumber\": \"10700\",\n    \"description\": \"Direct Cost 20000 on 01/15/19\",\n    \"debitAmount\": 0,\n    \"creditAmount\": 128.4,\n    \"lastModifiedDateTime\": \"2020-08-21T00:25:56.383Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_generalledgerentry"}